Subject: Re: Running interpret-trailers automatically on each commit?

From: Junio C Hamano <[email-masked]>
Date: Fri, 28 Aug 2015 10:06:03 -0700

Jeremy Morton <[email-masked]> writes:

> I see that interpret-trailers has been added by default in git
> 2.5.0. However the documentation isn't that great and I can't tell
> whether it gets run automatically when I do a "git commit".  My guess
> is that it doesn't - that you have to set up a hook to get it to run
> each commit.

All correct, except that it happend in 2.2 timeframe.

A new experimental feature is shipped, so that people can gain
experience with it and come up with the best practice in their
hooks, and then laster we may fold the best practice into somewhere
deeper in the system.

We are still in the early "ship an experimental feature to let
people play with it" stage.

Thanks.